Skip to Content

Existing EDI Interfaces failing after PI 7.3 dual stack upgraded from SPS 7 to SPS 17

Hi Experts,

All the existing EDI interfaces failing with same reason in quality as below after PI 7.3 dual stack upgraded from SPS 7 to SPS 17. Due to this the upgrade of SPS stopped in prod.

"Delivery of the message to the application using connection EDISeparator_http://sap.com/xi/XI/EDISeparator failed, due to: com.sap.engine.interfaces.messaging.api.exception.MessagingException: java.util.NoSuchElementException"

When check the component PIB2BTOOLKIT it is now as 1000.1.0.5.3.2017 from 1000.1.0.1.27.2013. Also the tables in B2BIC for ANSIX12 messages are with more content.

What would be the best approach here, either to roll back to previous component or make the existing interface compatible with latest component version. If YES then who?

Thank You.

Regards,
Farooq.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

0 Answers